ECMS (ImageNow) - Recommended Browsers

WebNow, the web client used by the Enterprise Content Management Service (ECMS), has some specific browser requirements. This document outlines the recommended browsers for the WebNow client as well as additional requirements related to Java and WiscVPN.

Recommended Browsers

The following browsers are recommended for use with ECMS/WebNow. Note that other browsers may work with varying degrees of success, but you should try one of the recommended browsers if you encounter trouble with an unlisted web browser.

  • Internet Explorer 8.x, 9.x, 10.x, or 11.x for Windows
  • Apple Safari web browser 7.1 or 8 on Mac OS X
  • Firefox for Windows or Mac OS X (latest version)

Note: Google Chrome is no longer supported for use with WebNow, as Chrome does not support the plug-in needed to load the Java Applet. For additional details, see ECMS - General Known Issues - Technical Documentation

Java Requirements

The current version of WebNow certified for Java Runtime Environment (JRE) 1.7.51 or higher, however, testing has found that versions of Java as old as 1.6.22 appear to work with the client.

If your department's settings prevent you from searching and require that you use direct links to the new client, consult with your local IT staff to find out if JRE can be updated for your machine.

You can check the version of JRE you have installed by going to http://java.com/en/download/help/testvm.xml. If that page indicates that your version of Java is "Java 7 Update 45" or higher, you should be OK.

Using WebNow via wireless or off-campus

If you are using WebNow over campus wireless or from off-campus, you are currently required to connect to WiscVPN before you will be able to access WebNow/ECMS. If you do not have WiscVPN installed, directions are available for installing WiscVPN on Windows and Mac OS X:

See Also:




Keywords:"enterprise content management service" imagenow imaging image web now webnow WISDM ISIS accounts payable electronic invoices einvoices e-invoices recommended browsers requirements java jre wiscvpn   Doc ID:13788
Owner:Leah S.Group:DoIT Help Desk
Created:2010-04-08 19:00 CDTUpdated:2015-09-29 17:05 CDT
Sites:DoIT Help Desk
Feedback:  2   6